Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## timetable.data
Class TimePreference

    java.lang.Object
      |
      +--timetable.data.TimePreference

All Implemented Interfaces:
  java.io.Serializable

public class TimePreference
extends java.lang.Object
implements java.io.Serializable

Časové preference zdrojů a aktivit.

See Also:
  Serialized Form

Field Summary
`(package private) Config` | `config` Globální konfigurace
`static int` | `FREE` Volný slot - default
`static int` | `HARD` HARD podmínka - slot nemůže být použit
`protected int[]` | `slots` Pole slotů.
`static int` | `SOFT` SOFT podmínka - slot by neměl být použit

Constructor Summary
`TimePreference(Config config)` Konstruktor.

Method Summary
`java.lang.Object` | `clone()` Vytvoří jinou instanci stejného pole časových preferencí
`int` | `get(int slot)` Zjištění podmínky slotu
`boolean` | `isFREE(int slot)` Je na daném slotu FREE podmínka (slot bez preference) ?
`boolean` | `isHARD(int slot)` Je na daném slotu HARD podmínka (slot nemůže být použit) ?
`boolean` | `isSOFT(int slot)` Je na daném slotu SOFT podmínka (slot by neměl být použit) ?
`void` | `set(int slot, int type)` Nastavení preference slotu
`void` | `set(int startSlot, int endSlot, int type)` Nastavení podmínky pro více slotů najednou
`void` | `setFREE(int slot)` Nastavení podmínky FREE (bez preference) na daný slot
`void` | `setHARD(int slot)` Nastavení podmínky HARD (slot nemůže být použit) na daný slot
`void` | `setSOFT(int slot)` Nastavení podmínky SOFT (slot není preferován) na daný slot
`java.lang.String` | `toString(int type)` Textové vyjádření pole podmínek.

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slots

    protected int[] slots

  Pole slotů.

### config

    Config config

  Globální konfigurace

### FREE

    public static int FREE

  Volný slot - default

### HARD

    public static int HARD

  HARD podmínka - slot nemůže být použit

### SOFT

    public static int SOFT

  SOFT podmínka - slot by neměl být použit

Constructor Detail

### TimePreference

    public TimePreference(Config config)
                   throws TimetableException

  Konstruktor.
  Parameters:
    `config` - konfigurace

Method Detail

### set

    public void set(int slot,
                    int type)

  Nastavení preference slotu
  Parameters:
    `slot` - číslo slotu
    `type` - podmínka {FREE, SOFT, HARD}

### get

    public int get(int slot)

  Zjištění podmínky slotu
  Parameters:
    `slot` - číslo slotu
  Returns:
    podmínka {FREE, SOFT, HARD}

### setFREE

    public void setFREE(int slot)

  Nastavení podmínky FREE (bez preference) na daný slot
  Parameters:
    `slot` - číslo slotu

### setSOFT

    public void setSOFT(int slot)

  Nastavení podmínky SOFT (slot není preferován) na daný slot
  Parameters:
    `slot` - číslo slotu

### setHARD

    public void setHARD(int slot)

  Nastavení podmínky HARD (slot nemůže být použit) na daný slot
  Parameters:
    `slot` - číslo slotu

### set

    public void set(int startSlot,
                    int endSlot,
                    int type)

  Nastavení podmínky pro více slotů najednou
  Parameters:
    `startSlot` - číslo prvního slotu
    `endSlot` - číslo posledního slotu
    `type` - podmínka {FREE, SOFT, HARD}

### isHARD

    public boolean isHARD(int slot)

  Je na daném slotu HARD podmínka (slot nemůže být použit) ?
  Parameters:
    `slot` - číslo slotu
  Returns:
    true, pokud ano

### isFREE

    public boolean isFREE(int slot)

  Je na daném slotu FREE podmínka (slot bez preference) ?
  Parameters:
    `slot` - číslo slotu
  Returns:
    true, pokud ano

### isSOFT

    public boolean isSOFT(int slot)

  Je na daném slotu SOFT podmínka (slot by neměl být použit) ?
  Parameters:
    `slot` - číslo slotu
  Returns:
    true, pokud ano

### toString

    public java.lang.String toString(int type)
                              throws TimetableException

  Textové vyjádření pole podmínek. Například: Po3, Po5, Út4-8
  Parameters:
    `type` - podmínka {FREE, SOFT, HARD}
  Returns:
    repreyentace podmínky

### clone

    public java.lang.Object clone()

  Vytvoří jinou instanci stejného pole časových preferencí
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    jiná instance stejného pole preferencí

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD